<?php

if (! defined('ABSPATH')) {
    exit; // Prevent direct access
}

use Sibs2\sibsConstants;
use Sibs2\sibsPaymentGateway;

class Gateway_Sibs_STG_CC extends sibsPaymentGateway
{
    public $id    = sibsConstants::SIBS_PAYMENT_METHOD_ORDER_CREDIT_CARD;

    public $title = 'Cards';

    public function __construct()
    {
        parent::__construct();
        $this->title = __('FRONTEND_PM_CC', sibsConstants::SIBS_TRANSLATE);
    }

    public function get_icon()
    {
        return apply_filters('woocommerce_gateway_icon', $this->sibs_get_multi_icon(), $this->id);
    }

    public function needs_setup()
    {
        return false;
    }
}

$obj = new Gateway_Sibs_STG_CC();
